commit:     15f5df0e6386297711c54e5e398ef0682bd9250a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 10 05:00:53 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 10 07:41:38 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15f5df0e

dev-python/scikit-learn: Bump to 1.7.0_rc1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/scikit-learn/Manifest                   |  1 +
 .../scikit-learn/scikit-learn-1.7.0_rc1.ebuild     | 82 ++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-python/scikit-learn/Manifest b/dev-python/scikit-learn/Manifest
index ed7addffbda4..195645bbba36 100644
--- a/dev-python/scikit-learn/Manifest
+++ b/dev-python/scikit-learn/Manifest
@@ -1 +1,2 @@
 DIST scikit-learn-1.6.1.gh.tar.gz 7046495 BLAKE2B 
83292549cc12e44033451345fe6deac17fa4f3d013f9755839d4d7f1c7de9690c089a754493d0d3879ef44ed8523400d617fa4d135ce8500dab608552777cdf6
 SHA512 
ad91d7bd67884851334fed9b0f3b6f3bfacb6b1521b89acbe22e9428a88009579373118bbd3a55358ea60c997e98609062fc4eac8b1def1d0ad18026c0491074
+DIST scikit-learn-1.7.0rc1.gh.tar.gz 7160017 BLAKE2B 
15534eeef26f8f7ee335f14cb193be3742c1fe215093f2852e7ad6a00e23237fae2b6af820632bc07630c51a54f6cc5bdd8e4a7b40834c2b1ddf6b385c55eb06
 SHA512 
103dda41a312dad7a9586ffcc3d2e95594de566dfa33cce5e06b34b30bd62eceae762af4ecfc5094313a28502db2c22aafd1bd69bffe5347ccb651fa589ebe9d

diff --git a/dev-python/scikit-learn/scikit-learn-1.7.0_rc1.ebuild 
b/dev-python/scikit-learn/scikit-learn-1.7.0_rc1.ebuild
new file mode 100644
index 000000000000..21dd6d26a43f
--- /dev/null
+++ b/dev-python/scikit-learn/scikit-learn-1.7.0_rc1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=meson-python
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="Machine learning library for Python"
+HOMEPAGE="
+       https://scikit-learn.org/stable/
+       https://github.com/scikit-learn/scikit-learn/
+       https://pypi.org/project/scikit-learn/
+"
+SRC_URI="
+       https://github.com/scikit-learn/scikit-learn/archive/${PV/_}.tar.gz
+               -> ${P/_}.gh.tar.gz
+"
+S=${WORKDIR}/${P/_}
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="examples"
+
+DEPEND="
+       virtual/blas:=
+       virtual/cblas:=
+       >=dev-python/numpy-1.22.0:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       ${DEPEND}
+       >=dev-python/joblib-1.2.0[${PYTHON_USEDEP}]
+       >=dev-python/scipy-1.8.0[${PYTHON_USEDEP}]
+       >=dev-python/threadpoolctl-3.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/pythran-0.14.0[${PYTHON_USEDEP}]
+       >=dev-python/cython-3.0.10[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+# For some reason this wants to use urllib to fetch things from the internet
+# distutils_enable_sphinx doc \
+#      dev-python/matplotlib \
+#      dev-python/memory-profiler \
+#      dev-python/numpydoc \
+#      dev-python/pandas \
+#      dev-python/pillow \
+#      dev-python/seaborn \
+#      dev-python/sphinx-gallery \
+#      dev-python/sphinx-prompt \
+#      dev-python/scikit-image
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # TODO: floating-point problems
+               
gaussian_process/kernels.py::sklearn.gaussian_process.kernels.ExpSineSquared
+       )
+
+       case ${ARCH} in
+               ppc64)
+                       EPYTEST_DESELECT+=(
+                               # TODO
+                               
ensemble/_weight_boosting.py::sklearn.ensemble._weight_boosting.AdaBoostRegressor
+                       )
+       esac
+
+       rm -rf sklearn || die
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest --pyargs sklearn
+}
+
+python_install_all() {
+       find "${S}" -name \*LICENSE.txt -delete || die
+       distutils-r1_python_install_all
+       use examples && dodoc -r examples
+}

Reply via email to